Subject: Problem with pcpine_p and umslip

From: [email-masked] (John Wolff)
Date: Tue, 31 Oct 1995 14:56:57 LOCAL

I have an IMAP user who has been banished to field work with a DOS-based 286 
laptop. I have been trying to get the packet version of pcpine 3.91 to 
work with the U of Minnesota "umslip" serial line packet driver to allow him 
to access his existing mail store, but am not having much success. 

umslip loads ok and connects to my dialup router (a Netblazer), pktstats 
shows a packet driver on 0x60, the ping  program ex CUTCP works ok, and 
minuet work OK, so I figure this end of it is working.

But pcpine doesn't like it, and is unable even to resolve the mailhost name 
over umslip. Modem lights and a trace on the dialup router show DNS packets 
being sent and received, but no action results. (I haven't tackled the 
protocol analyser yet to check the content of the packets).

Using the IP address instead of server name in the inbox definition 
produces an IMAP protocol exchange with the mailhost, but pine quits 
with "connection broken by server" (or words to that effect). Syslog on the 
imap server does not show a connection ever having been established.

However, exactly the same pcpine configuration works fine over an ethernet 
packet driver on a desktop machine (lsl/smc8000/odipkt24). 

So both halves of the setup work independently, but they just don't seem to 
communicate at the packet layer. Any light on this problem would be much 
appreciated, or any suggestions for an alternative dial-up system that will 
work with Pine on a DOS-based 286.

Also: I can not get pcpine to produce a debug file as described in the tech 
notes, even if started with -d9. Is this supposed to work, or is there a trick 
to this too?

Many thanks,

John Wolff                                
Electronics & Networks Engineer           Phone:           +61 3 542 2281
CSIRO Ian Wark Laboratory                 Fax:             +61 3 543 6613
Private Bag 10, Rosebank MDC              Private:         +61 3 754 2426
Clayton, VIC, 3169, Australia             Email: [email-masked]